Skip to content

Aritma IAM API (0)

An API for interacting with the identity and access management system of Aritma.

Download OpenAPI description
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/platform/iam/openapi/iam-openapi
IAM API (0)
https://api.dev.aritma.io/core/iam

Actions

Actions related to IAM actions

Operations

Client

Actions related to clients in Aritma ID

Operations

Domains

Actions related to domains registered for the tenant, and their verification status

Operations

Me

Actions listing information about the currently authenticated user

Operations

Policies

Actions related to IAM policies

Operations

Role

Actions related to Aritma ID roles

Operations

Returns a paginated list of available roles that can be assigned to users, optionally filtered by a query

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Query
searchTextstring

Search query

pageinteger(int32)

Requested page

pageSizeinteger(int32)

Requested pagesize

No request payload

Responses

OK

Body
itemsArray of objects(RoleApiDto)required
idstringrequired
namestringnon-emptyrequired
metadataobjectrequired
pageinteger(int32)required
pageSizeinteger(int32)required
totalCountinteger(int32)required
linksobjectrequired
firststring or null(uri)
previousstring or null(uri)
nextstring or null(uri)
laststring or null(uri)
Response
No response example

/v0/roles

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Query
searchQuerystring
pageinteger(int32)
pageSizeinteger(int32)
No request payload

Responses

OK

Bodyapplication/json
dataArray of objects(RoleDto)required
idstring(uuid)required
namestringrequired
globalRolebooleanrequired
parentsArray of stringsrequired
childrenArray of stringsrequired
pageinteger(int32)required
pageSizeinteger(int32)required
countinteger(int32)read-onlyrequired
totalinteger(int32)required
totalPagesinteger(int32)read-onlyrequired
Response
application/json
{ "data": [ { … } ], "page": 0, "pageSize": 0, "count": 0, "total": 0, "totalPages": 0 }

/v0/roles

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Body
roleNamestringrequired
parentstring or null
childstring or null
{ "roleName": "string", "parent": "string", "child": "string" }

Responses

OK

Response
No content

/v0/roles

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Body
roleNamestringrequired
{ "roleName": "string" }

Responses

OK

Response
No content

/v0/roles/link

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Body
parentstringrequired
childstringrequired
{ "parent": "string", "child": "string" }

Responses

OK

Response
No content

/v0/roles/link

Request

Security
authorization_code_with_pkce_0(Required scopes:
services.iam
)
or client_credentials_0(Required scopes:
services.iam
)
Body
parentstringrequired
childstringrequired
{ "parent": "string", "child": "string" }

Responses

OK

Response
No content

Scim

Actions related to SCIM tokens

Operations

Scope

Actions related to scopes in Aritma ID

Operations

SSO

Actions common for all SSO providers

Operations

SSO - Azure AD (Entra ID)

Actions relating to AzureAd as an SSO provider

Operations

SSO - Custom Providers

Actions relating to custom SSO providers

Operations

SSO - Google

Actions relating to Google as an SSO provider

Operations

SSO - Signicat

Actions relating to Signicat as an SSO provider

Operations

Subjects

Actions related to IAM subjects

Operations

User

Actions related to Aritma ID users

Operations